API referenceCart
Creates a Cart resource.
Creates a Cart resource.
POST
/api/carts/{cartId}/external_checkoutcurl -X POST "/api/carts/{cartId}/external_checkout" \
-H "apikey: $MEDIALISTER_API_KEY" \
-H "Content-Type: application/ld+json" \
-d '{
"externalCustomerId": "acme-client-42",
"organization": "/api/organizations/0a097745-ff39-4659-8cae-a9bfb596a124"
}'Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
cartIdstringpathrequiredCart identifier
Body
application/ld+json
The new Cart resource
externalCustomerIdstringrequiredThe end client the orders are placed for.
organizationstringrequired
Response
application/ld+json
Cart resource created
@contextone of@idstringrequired@typestringrequireditemsCartItem.jsonld-cart.read[]subTotalstringDefault:0clientFeestringDefault:0taxstring | nullstatusenum<integer>One of:01Default:0createdAtstring<date-time>updatedAtstring<date-time>remainingBalancestringDeprecatedtopUpMinimumAdjustmentstringtopUpQuoteobject | nulltrustPilotRankany oftotalstring
{
"@context": "string",
"@id": "string",
"@type": "string",
"items": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"product": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"mediaProject": "/api/media_projects/b64ed0ca-1a05-4898-9a52-765fed38bc5c"
},
"orders": [
"https://example.com/"
],
"campaign": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Campaign Name"
},
"excluded": false,
"logInfo": [
{}
]
}
],
"subTotal": "0",
"clientFee": "0",
"tax": "string",
"status": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"remainingBalance": "-123.45",
"topUpMinimumAdjustment": "-0.45",
"topUpQuote": {
"amount": "5225.46",
"serviceFee": "156.76",
"totalCharge": "5382.22"
},
"trustPilotRank": 0,
"total": "string"
}